### File

`packages/eui-mobile/packages/core/src/lib/components/euim-avatar/euim-avatar.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-avatar`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-avatar.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
borderColor color fill size variant
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

borderColor
Type : `"default" | "primary" | "branding" | "info" | "success" | "danger" | "white"`
Default value : `'default'`

color
Type : `"default" | "dark" | "branding" | "white" | "primary" | "info" | "success" | "accent" | "secondary" | "warning" | "danger"`
Default value : `'default'`

fill
Type : `"default" | "clear" | "outline" | "outline-solid" | "solid"`
Default value : `'default'`

size
Type : `"default" | "auto" | "s" | "m" | "l"`
Default value : `'default'`

variant
Type : `"default" | "rectangle" | "rounded"`
Default value : `'default'`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""